%global _hardened_build 1
%define _prefix /opt/symas
%define _libdir %{_prefix}/lib
%define _varfix /var/opt/symas
%define _etcfix /etc/opt/symas

Summary:            Symas's libevent build
Name:               symas-libevent
Version:            2.1.12
Release:            1%{?dist}
License:            BSD
Source:             %{name}-%{version}-stable.tar.gz
BuildRequires:		symas-openssl-devel, pkgconfig, autoconf
BuildRequires:		automake, libtool, python3-devel
Requires:           symas-libevent-libs = %{version}-%{release}
AutoReqProv:        no
URL:                https://libevent.org/

%description
The Symas libevent build

%prep
%setup -n libevent-%{version}-stable
pathfix.py -i %{__python3} -pn test/check-dumpevents.py event_rpcgen.py

%build
autoreconf -f -i
export PKG_CONFIG_PATH=%{_libdir}/pkgconfig
LDFLAGS="-Wl,-rpath,%{_libdir}"; export LDFLAGS; \
CFLAGS="-O2 -g"; export CFLAGS; \
./configure --prefix=%{_prefix} --disable-static
make

%check
make test

%install
make install DESTDIR=${RPM_BUILD_ROOT}
rm -rf %{buildroot}%{_libdir}/*.la
rm -rf %{buildroot}%{_prefix}/bin/event_rpcgen.py

%package libs
Summary:        libevent Libaries
AutoReqProv:        no

%description libs
The symas-libevent-libs package contains the libevent libraries

%package devel
Summary:        libevent Development
Requires: symas-libevent-libs = %{version}-%{release}
AutoReqProv:        no

%description devel
The symas-libevent-devel package contains the linking libraries and include files

%files libs
%defattr(-,root,root)
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_prefix}/include
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so

%changelog
* Tue Apr 6 2021 Symas Support <support@symas.com>
- initial packaging
